> For the complete documentation index, see [llms.txt](https://developers.incidents.cloud.solarwinds.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.incidents.cloud.solarwinds.com/api-reference/incidents-postmortems.md).

# Incidents/Postmortems

## Get All Postmortems

> \*   This endpoint is used to get all postmortems.\
> \*   Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Postmortems"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Postmortems.PostmortemListResult":{"type":"object","required":["id","organization_id","incident_id","postmortem","follow_ups","created_at","title","status","owner","access_control","incident_message","incident_time_of_creation","service_name","service_id","alert_source","active_follow_ups_count"],"properties":{"id":{"type":"string"},"organization_id":{"type":"string"},"incident_id":{"type":"string"},"postmortem":{"type":"string"},"follow_ups":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},{"type":"null"}]},"created_at":{"type":"string"},"title":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"incident":{"type":"object","properties":{"message":{"type":"string"},"time_of_creation":{"type":"string"}},"required":["message","time_of_creation"]},"incident_message":{"type":"string"},"incident_time_of_creation":{"type":"string"},"service_name":{"type":"string"},"service_id":{"type":"string"},"alert_source":{"type":"string"},"active_follow_ups_count":{"type":"integer"}},"description":"Represents a single result in the postmortem list response."},"V3.Incidents.Postmortems.PostmortemFollowUp":{"type":"object","required":["task","is_done"],"properties":{"task":{"type":"string"},"is_done":{"type":"boolean"}},"description":"Represents a single follow-up task in a postmortem."},"V3.Incidents.Postmortems.PostmortemStatus":{"type":"string","enum":["in_progress","under_review","published"],"description":"Represents the status of a postmortem."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"V3.Incidents.Postmortems.TotalPostmortemCount":{"type":"object","required":["count"],"properties":{"count":{"type":"integer"}},"description":"Represents the total count of postmortems."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/postmortem":{"get":{"operationId":"Postmortems_getAllPostmortems","summary":"Get All Postmortems","description":"*   This endpoint is used to get all postmortems.\n*   Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"fromDate","in":"query","required":true,"description":"Provide date in RFC3339 format","schema":{"type":"string"}},{"name":"toDate","in":"query","required":true,"description":"Provide date in RFC3339 format","schema":{"type":"string"}},{"name":"owner_id","in":"query","required":true,"description":"Here owner_id represents team_id","schema":{"type":"string"}},{"name":"limit","in":"query","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"result":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemListResult"}},"total_count":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.TotalPostmortemCount"}}},"required":["result","total_count"]}}},"required":["data"]}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Postmortems"]}}}}
```

## Get Postmortem By Incident

> \*   This endpoint is used to get a postmortem by incident.\
> \*   Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Postmortems"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Postmortems.PostmortemResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Postmortems.Postmortem"}]},"V3.Incidents.Postmortems.Postmortem":{"type":"object","required":["id","organization_id","incident_id","postmortem","follow_ups","created_at","title","status","owner","access_control"],"properties":{"id":{"type":"string"},"organization_id":{"type":"string"},"incident_id":{"type":"string"},"postmortem":{"type":"string"},"follow_ups":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},{"type":"null"}]},"created_at":{"type":"string"},"title":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"incident":{"type":"object","properties":{"message":{"type":"string"},"time_of_creation":{"type":"string"}},"required":["message","time_of_creation"]}},"description":"Represents a Postmortem in the system."},"V3.Incidents.Postmortems.PostmortemFollowUp":{"type":"object","required":["task","is_done"],"properties":{"task":{"type":"string"},"is_done":{"type":"boolean"}},"description":"Represents a single follow-up task in a postmortem."},"V3.Incidents.Postmortems.PostmortemStatus":{"type":"string","enum":["in_progress","under_review","published"],"description":"Represents the status of a postmortem."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/{incidentID}/postmortem":{"get":{"operationId":"Postmortems_getPostmortemByIncident","summary":"Get Postmortem By Incident","description":"*   This endpoint is used to get a postmortem by incident.\n*   Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Postmortems"]}}}}
```

## Create Postmortem

> \*   This endpoint is used to create a postmortem.\
> \*   Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Postmortems"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Postmortems.PostmortemResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Postmortems.Postmortem"}]},"V3.Incidents.Postmortems.Postmortem":{"type":"object","required":["id","organization_id","incident_id","postmortem","follow_ups","created_at","title","status","owner","access_control"],"properties":{"id":{"type":"string"},"organization_id":{"type":"string"},"incident_id":{"type":"string"},"postmortem":{"type":"string"},"follow_ups":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},{"type":"null"}]},"created_at":{"type":"string"},"title":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"incident":{"type":"object","properties":{"message":{"type":"string"},"time_of_creation":{"type":"string"}},"required":["message","time_of_creation"]}},"description":"Represents a Postmortem in the system."},"V3.Incidents.Postmortems.PostmortemFollowUp":{"type":"object","required":["task","is_done"],"properties":{"task":{"type":"string"},"is_done":{"type":"boolean"}},"description":"Represents a single follow-up task in a postmortem."},"V3.Incidents.Postmortems.PostmortemStatus":{"type":"string","enum":["in_progress","under_review","published"],"description":"Represents the status of a postmortem."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.Postmortems.CreatePostmortemRequest":{"type":"object","required":["owner_id","title","postmortem","status","follow_ups","attachments"],"properties":{"owner_id":{"type":"string"},"title":{"type":"string"},"postmortem":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"},"follow_ups":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},"attachments":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemAttachmentRequest"}}},"description":"Request body for creating a new postmortem."},"V3.Incidents.Postmortems.PostmortemAttachmentRequest":{"type":"object","properties":{"key":{"type":"string"},"mime_type":{"type":"string"},"file_size":{"type":"string"}},"description":"Represents an attachment in a postmortem request."}}},"paths":{"/v3/incidents/{incidentID}/postmortem":{"post":{"operationId":"Postmortems_createPostmortem","summary":"Create Postmortem","description":"*   This endpoint is used to create a postmortem.\n*   Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"201":{"description":"The request has succeeded and a new resource has been created as a result.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Postmortems"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.CreatePostmortemRequest"}}}}}}}}
```

## Update Postmortem By Incident

> \- This endpoint is used to update a postmortem by incident.\
> \- Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Postmortems"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Postmortems.PostmortemResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Postmortems.Postmortem"}]},"V3.Incidents.Postmortems.Postmortem":{"type":"object","required":["id","organization_id","incident_id","postmortem","follow_ups","created_at","title","status","owner","access_control"],"properties":{"id":{"type":"string"},"organization_id":{"type":"string"},"incident_id":{"type":"string"},"postmortem":{"type":"string"},"follow_ups":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},{"type":"null"}]},"created_at":{"type":"string"},"title":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"incident":{"type":"object","properties":{"message":{"type":"string"},"time_of_creation":{"type":"string"}},"required":["message","time_of_creation"]}},"description":"Represents a Postmortem in the system."},"V3.Incidents.Postmortems.PostmortemFollowUp":{"type":"object","required":["task","is_done"],"properties":{"task":{"type":"string"},"is_done":{"type":"boolean"}},"description":"Represents a single follow-up task in a postmortem."},"V3.Incidents.Postmortems.PostmortemStatus":{"type":"string","enum":["in_progress","under_review","published"],"description":"Represents the status of a postmortem."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."},"V3.Incidents.Postmortems.UpdatePostmortemRequest":{"type":"object","properties":{"owner_id":{"type":"string"},"postmortem":{"type":"string"},"follow_ups":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},"new_attachments":{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemAttachmentRequest"}},"title":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"}},"description":"Request body for updating an existing postmortem."},"V3.Incidents.Postmortems.PostmortemAttachmentRequest":{"type":"object","properties":{"key":{"type":"string"},"mime_type":{"type":"string"},"file_size":{"type":"string"}},"description":"Represents an attachment in a postmortem request."}}},"paths":{"/v3/incidents/{incidentID}/postmortem":{"put":{"operationId":"Postmortems_updatePostmortemByIncident","summary":"Update Postmortem By Incident","description":"- This endpoint is used to update a postmortem by incident.\n- Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Postmortems"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.UpdatePostmortemRequest"}}}}}}}}
```

## Delete Postmortem By Incident

> \*   This endpoint is used to delete a postmortem by incident.\
> \*   Requires \`access\_token\` as a \`Bearer {{token}}\` in the \`Authorization\` header.

```json
{"openapi":"3.1.0","info":{"title":"Squadcast","version":"1.0.0"},"tags":[{"name":"Incidents/Postmortems"}],"servers":[{"url":"https://api.squadcast.com","description":"production US env","variables":{}},{"url":"https://api.eu.squadcast.com","description":"production EU env","variables":{}}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"V3.Incidents.Postmortems.PostmortemResponse":{"type":"object","allOf":[{"$ref":"#/components/schemas/V3.Incidents.Postmortems.Postmortem"}]},"V3.Incidents.Postmortems.Postmortem":{"type":"object","required":["id","organization_id","incident_id","postmortem","follow_ups","created_at","title","status","owner","access_control"],"properties":{"id":{"type":"string"},"organization_id":{"type":"string"},"incident_id":{"type":"string"},"postmortem":{"type":"string"},"follow_ups":{"anyOf":[{"type":"array","items":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemFollowUp"}},{"type":"null"}]},"created_at":{"type":"string"},"title":{"type":"string"},"status":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemStatus"},"owner":{"$ref":"#/components/schemas/Common.V3.RBACOwner"},"access_control":{"type":"array","items":{"$ref":"#/components/schemas/Common.V3.RBACEntityPermission"}},"attachments":{"anyOf":[{"type":"array","items":{"type":"string"}},{"type":"null"}]},"incident":{"type":"object","properties":{"message":{"type":"string"},"time_of_creation":{"type":"string"}},"required":["message","time_of_creation"]}},"description":"Represents a Postmortem in the system."},"V3.Incidents.Postmortems.PostmortemFollowUp":{"type":"object","required":["task","is_done"],"properties":{"task":{"type":"string"},"is_done":{"type":"boolean"}},"description":"Represents a single follow-up task in a postmortem."},"V3.Incidents.Postmortems.PostmortemStatus":{"type":"string","enum":["in_progress","under_review","published"],"description":"Represents the status of a postmortem."},"Common.V3.RBACOwner":{"type":"object","required":["id","type"],"properties":{"id":{"type":"string","description":"The ID of the owner."},"type":{"type":"string","enum":["team"],"description":"The type of the owner."}},"description":"Represents the RBAC owner of an entity."},"Common.V3.RBACEntityPermission":{"type":"object","required":["user_id","abilities"],"properties":{"user_id":{"type":"string","description":"The ID of the user receiving the permission."},"abilities":{"type":"object","unevaluatedProperties":{"type":"boolean"},"description":"A map of abilities granted to the user."}},"description":"Represents a permission granted to a user for a specific entity."},"Common.V3.ErrorMeta":{"type":"object","required":["status","error_message"],"properties":{"status":{"anyOf":[{"type":"string"},{"type":"integer"}]},"error_message":{"type":"string"}},"description":"Represents a single response containing data of type T."}}},"paths":{"/v3/incidents/{incidentID}/postmortem":{"delete":{"operationId":"Postmortems_deletePostmortemByIncident","summary":"Delete Postmortem By Incident","description":"*   This endpoint is used to delete a postmortem by incident.\n*   Requires `access_token` as a `Bearer {{token}}` in the `Authorization` header.","parameters":[{"name":"incidentID","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The request has succeeded.","content":{"application/json":{"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/V3.Incidents.Postmortems.PostmortemResponse"}}}}}},"400":{"description":"The server could not understand the request due to invalid syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"401":{"description":"Access is unauthorized.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"402":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"403":{"description":"Access is forbidden.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"404":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"409":{"description":"The request conflicts with the current state of the server.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"422":{"description":"Client error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"500":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"502":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"503":{"description":"Service unavailable.","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}},"504":{"description":"Server error","content":{"application/json":{"schema":{"type":"object","properties":{"meta":{"$ref":"#/components/schemas/Common.V3.ErrorMeta"}},"required":["meta"]}}}}},"tags":["Incidents/Postmortems"]}}}}
```
